Subject: Re: bug#7985: Inconsistancy
From: Pádraig Brady <[email-masked]>
To: Tom Tijerina <[email-masked]>
Cc: [email-masked]
Date: Fri, 04 Feb 2011 21:52:50 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

On 03/02/11 23:22, Tom Tijerina wrote:
> I have a friend I'm trying to get into learning Linux, not wanting to
> hand feed him every command I've instructed him to use man when he get
> stuck or needs help on how to use a command. 
> 
> He ran man rm and it says at the top its for removing files OR
> directories. That is not correct as it does not give you any information
> for removing directories. I assumed it may be an option of some sort but
> I have not found it in the man page. Is this an oversight? 

$ rm --help | grep directories
  -r, -R, --recursive   remove directories and their contents recursively
By default, rm does not remove directories.  Use the --recursive (-r or -R)

Also the man page is automatically generated from --help output.

cheers,
Pádraig.